org.codehaus.groovy.tools.shell.util

## Class Preferences

- java.lang.Object
- - org.codehaus.groovy.tools.shell.util.Preferences

-     public class Preferences
      extends java.lang.Object

  Container for shell preferences.
  Author:
    Jason Dillon

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `EDITOR_KEY`
    `static java.lang.String` | `PARSER_FLAVOR_KEY`
    `static java.lang.String` | `PARSER_RELAXED`
    `static java.lang.String` | `PARSER_RIGID`
    `static java.lang.String` | `SANITIZE_STACK_TRACE_KEY`
    `static java.lang.String` | `SHOW_LAST_RESULT_KEY`
    `static IO.Verbosity` | `verbosity`
    `static java.lang.String` | `VERBOSITY_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Preferences()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addChangeListener(java.util.prefs.PreferenceChangeListener listener)`
    `static void` | `clear()`
    `static java.lang.String` | `get(java.lang.String name)`
    `static java.lang.String` | `get(java.lang.String name, java.lang.String defaultValue)`
    `static java.lang.String` | `getEditor()`
    `static java.lang.String` | `getParserFlavor()`
    `static boolean` | `getSanitizeStackTrace()`
    `static boolean` | `getShowLastResult()`
    `static java.lang.String[]` | `keys()`
    `static void` | `put(java.lang.String name, java.lang.String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### verbosity

          public static IO.Verbosity verbosity

    - #### VERBOSITY_KEY

          public static final java.lang.String VERBOSITY_KEY

      See Also:
        Constant Field Values

    - #### SHOW_LAST_RESULT_KEY

          public static final java.lang.String SHOW_LAST_RESULT_KEY

      See Also:
        Constant Field Values

    - #### SANITIZE_STACK_TRACE_KEY

          public static final java.lang.String SANITIZE_STACK_TRACE_KEY

      See Also:
        Constant Field Values

    - #### EDITOR_KEY

          public static final java.lang.String EDITOR_KEY

      See Also:
        Constant Field Values

    - #### PARSER_FLAVOR_KEY

          public static final java.lang.String PARSER_FLAVOR_KEY

      See Also:
        Constant Field Values

    - #### PARSER_RIGID

          public static final java.lang.String PARSER_RIGID

      See Also:
        Constant Field Values

    - #### PARSER_RELAXED

          public static final java.lang.String PARSER_RELAXED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Preferences

          public Preferences()

  - ### Method Detail

    - #### getShowLastResult

          public static boolean getShowLastResult()

    - #### getSanitizeStackTrace

          public static boolean getSanitizeStackTrace()

    - #### getEditor

          public static java.lang.String getEditor()

    - #### getParserFlavor

          public static java.lang.String getParserFlavor()

    - #### keys

          public static java.lang.String[] keys()
                                         throws java.util.prefs.BackingStoreException

      Throws:
        `java.util.prefs.BackingStoreException`

    - #### get

          public static java.lang.String get(java.lang.String name,
                                             java.lang.String defaultValue)

    - #### get

          public static java.lang.String get(java.lang.String name)

    - #### put

          public static void put(java.lang.String name,
                                 java.lang.String value)

    - #### clear

          public static void clear()
                            throws java.util.prefs.BackingStoreException

      Throws:
        `java.util.prefs.BackingStoreException`

    - #### addChangeListener

          public static void addChangeListener(java.util.prefs.PreferenceChangeListener listener)